BSON_READER_NEW_FROM_HANDLE(3)

NAME
bson_reader_new_from_handle - bson_reader_new_from_handle()

SYNOPSIS

bson_reader_t *
bson_reader_new_from_handle (void *handle,
                             bson_reader_read_func_t rf,
                             bson_reader_destroy_func_t df);

PARAMETERS

•   handle: A user-provided pointer or NULL.

•   rf: A bson_reader_read_func_t.

•   df: A bson_reader_destroy_func_t.

DESCRIPTION

This function allows for a pluggable data stream for the reader. This can be used to read from sockets, files, memory, or other arbitrary sources.

RETURNS

A newly allocated bson_reader_t if successful; otherwise NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc